/*
 *	File: mcu_tim15.c
 *	Date: 15.03.2011
 *	Denis Zheleznjakov @ ZiBlog.ru
 */

#include "main.h"

//------------------------------------------------------------------------------
void mcu_tim15_init(void)
{
	// разрешаем татирование модуля
	RCC->APB2ENR |= RCC_APB2ENR_TIM15EN;

	// устанавливаем предделитель
	TIM15->PSC = 10 - 1;
	// задаем период ШИМ
	TIM15->ARR = 255;
	// задаем начальную длительность импульса
	TIM15->CCR1 = 1;
	// задаем режим работы ОШИМ
	TIM15->CCMR1 = TIM_CCMR1_OC1M_2 | TIM_CCMR1_OC1M_1 | TIM_CCMR1_OC1PE;
	// разрешаем выходной сигнал
	TIM15->CCER = TIM_CCER_CC1E;
	TIM15->BDTR = TIM_BDTR_MOE;
	// разрешаем запросы к ПДП
	TIM15->DIER = TIM_DIER_CC1DE;
	// разрешаем работу и автоперезагрузку
	TIM15->CR1 = TIM_CR1_CEN | TIM_CR1_ARPE;
}
