/*
 *	File:	main.h
 *	Date:	27.06.2011
 *	Denis Zheleznjakov @ ZiBlog.ru
 */

#ifndef MAIN_H_
#define MAIN_H_

#include "mcu/stm32f100rb.h"
#include "mcu/core_cm3.h"
#include "mcu/interrupt.h"

#include "utility/macros.h"

#include "mcu/peripherals/mcu_gpio.h"
#include "mcu/peripherals/mcu_dma.h"
#include "mcu/peripherals/mcu_tim15.h"

#define LED_GREEN	C, 9, HIGH, GENERAL_OUTPUT_PUSH_PULL, SPEED_2MHZ
#define LED_BLUE	C, 8, HIGH, GENERAL_OUTPUT_PUSH_PULL, SPEED_2MHZ
#define BUTTON		A, 0, HIGH, INPUT_PULL_DOWN,

#define TIM15_PWM1	A, 2, HIGH, ALTERNATE_OUTPUT_PUSH_PULL, SPEED_50MHZ

#endif /* MAIN_H_ */
